aboutsummaryrefslogtreecommitdiff
path: root/test/nvidia-cuda/install_all_options.sh
diff options
context:
space:
mode:
authorMasahiro Wada <argon.argon.argon@gmail.com>2023-09-27 22:17:31 +0300
committerGitHub <noreply@github.com>2023-09-27 22:17:31 +0300
commit243671eece9c9e3d38b7cecf404acd4ea4bd2f05 (patch)
tree57b27863922f374c9dc14e80c6e46bd63ffd0229 /test/nvidia-cuda/install_all_options.sh
parent0d2fc3ad5b9d6bb33a29891c2378a377f0618c9b (diff)
Enhancements in CUDA Support (#699)feature_nvidia-cuda_1.1.0
* add cuda tookit installing support * add nvcc installing support * add libcudnn8-dev installing support * add new cuda versions adn cudnn versions * add specificaitons of new option * remove installNvcc installNvcc process is included in installToolkit * add tests for new nvidia-cuda options * fix wrong scenario name * Revert "add specificaitons of new option" This reverts commit 0dcdb92406e38caa297643eab5af641f814b4f69. README.md should be generated by CI workflow. * make cudnn-dev installation isolated * dump minor version to 1.1.0
Diffstat (limited to 'test/nvidia-cuda/install_all_options.sh')
-rw-r--r--test/nvidia-cuda/install_all_options.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/test/nvidia-cuda/install_all_options.sh b/test/nvidia-cuda/install_all_options.sh
new file mode 100644
index 0000000..7d9e031
--- /dev/null
+++ b/test/nvidia-cuda/install_all_options.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Check installation of libcudnn8
+check "libcudnn.so.8" test 1 -eq "$(find /usr -name 'libcudnn.so.8' | wc -l)"
+
+# Check installation of libcudnn8-dev
+check "cudnn.h" test 1 -eq "$(find /usr -name 'cudnn.h' | wc -l)"
+
+# Check installation of cuda-nvtx-11-<version>
+check "cuda-11+nvtx" test -e '/usr/local/cuda-11/targets/x86_64-linux/include/nvtx3'
+
+# Check installation of cuda-nvcc-11-<version>
+check "cuda-11+nvcc" test -e '/usr/local/cuda-11/bin/nvcc'
+
+# Report result
+reportResults